Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063207 - rpm repo publishing fails
Summary: rpm repo publishing fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: Master
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.4.0
Assignee: Barnaby Court
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 09:45 UTC by mkovacik
Modified: 2014-08-09 06:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 06:55:26 UTC


Attachments (Terms of Use)
scenario screen capture with error details as propagated via tasks (deleted)
2014-02-10 09:45 UTC, mkovacik
no flags Details

Description mkovacik 2014-02-10 09:45:19 UTC
Created attachment 861307 [details]
scenario screen capture with error details as propagated via tasks

Description of problem:
Performing a publis on a rpm repo fails with an error: 'PublishDrpmStep' object has no attribute 'context'

Version-Release number of selected component (if applicable):
pulp-rpm-plugins-2.4.0-0.2.alpha.git.8.6f5588d.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. create a rpm repo
2. sync rpm repo
3. publish rpm repo

Actual results:
Error: 'PublishDrpmStep' object has no attribute 'context'

Expected results:
publis works

Additional info:

Comment 1 Sayli Karmarkar 2014-02-12 17:28:40 UTC
https://github.com/pulp/pulp_rpm/pull/439

Comment 2 Randy Barlow 2014-03-18 16:04:36 UTC
This was fixed in a prior release of Pulp, but we never put it through the QE process. Moving to ON_QA.

Comment 3 mkovacik 2014-04-25 12:58:20 UTC
Verified With:
https://github.com/RedHatQE/pulp-automation/blob/master/tests/test_13_cli_consumer.py
In pulp-server:
  Version     : 2.4.0
  Release     : 0.10.beta.git.1.7406489.fc20

# screen log
[root@ec2-54-73-150-13 pulp_auto]# nosetests -vs tests/test_13_cli_consumer.py
test_01_api_registered_consumer (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_02_bind_distributor (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_03_assert_yum_repos (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_04_assert_unit_install (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_05_assert_unit_uninstall (tests.test_13_cli_consumer.CliConsumerTest) ... ok
test_06_assert_nonexisten_unit_install (tests.test_13_cli_consumer.CliConsumerTest) ... FAIL
test_07_assert_nonexisten_unit_uninstall (tests.test_13_cli_consumer.CliConsumerTest) ... FAIL
test_08_unbind_repos (tests.test_13_cli_consumer.CliConsumerTest) ... ok

Comment 4 Randy Barlow 2014-08-09 06:55:26 UTC
This has been fixed in Pulp 2.4.0-1.


Note You need to log in before you can comment on or make changes to this bug.